Index: branches/PerformanceComparison/HeuristicLab.OptimizationExpertSystem/3.3/Views/SolverView.Designer.cs
===================================================================
--- branches/PerformanceComparison/HeuristicLab.OptimizationExpertSystem/3.3/Views/SolverView.Designer.cs	(revision 13774)
+++ branches/PerformanceComparison/HeuristicLab.OptimizationExpertSystem/3.3/Views/SolverView.Designer.cs	(revision 13787)
@@ -45,23 +45,29 @@
     /// </summary>
     private void InitializeComponent() {
-      WeifenLuo.WinFormsUI.Docking.DockPanelSkin dockPanelSkin2 = new WeifenLuo.WinFormsUI.Docking.DockPanelSkin();
-      WeifenLuo.WinFormsUI.Docking.AutoHideStripSkin autoHideStripSkin2 = new WeifenLuo.WinFormsUI.Docking.AutoHideStripSkin();
-      WeifenLuo.WinFormsUI.Docking.DockPanelGradient dockPanelGradient4 = new WeifenLuo.WinFormsUI.Docking.DockPanelGradient();
-      WeifenLuo.WinFormsUI.Docking.TabGradient tabGradient8 = new WeifenLuo.WinFormsUI.Docking.TabGradient();
-      WeifenLuo.WinFormsUI.Docking.DockPaneStripSkin dockPaneStripSkin2 = new WeifenLuo.WinFormsUI.Docking.DockPaneStripSkin();
-      WeifenLuo.WinFormsUI.Docking.DockPaneStripGradient dockPaneStripGradient2 = new WeifenLuo.WinFormsUI.Docking.DockPaneStripGradient();
-      WeifenLuo.WinFormsUI.Docking.TabGradient tabGradient9 = new WeifenLuo.WinFormsUI.Docking.TabGradient();
-      WeifenLuo.WinFormsUI.Docking.DockPanelGradient dockPanelGradient5 = new WeifenLuo.WinFormsUI.Docking.DockPanelGradient();
-      WeifenLuo.WinFormsUI.Docking.TabGradient tabGradient10 = new WeifenLuo.WinFormsUI.Docking.TabGradient();
-      WeifenLuo.WinFormsUI.Docking.DockPaneStripToolWindowGradient dockPaneStripToolWindowGradient2 = new WeifenLuo.WinFormsUI.Docking.DockPaneStripToolWindowGradient();
-      WeifenLuo.WinFormsUI.Docking.TabGradient tabGradient11 = new WeifenLuo.WinFormsUI.Docking.TabGradient();
-      WeifenLuo.WinFormsUI.Docking.TabGradient tabGradient12 = new WeifenLuo.WinFormsUI.Docking.TabGradient();
-      WeifenLuo.WinFormsUI.Docking.DockPanelGradient dockPanelGradient6 = new WeifenLuo.WinFormsUI.Docking.DockPanelGradient();
-      WeifenLuo.WinFormsUI.Docking.TabGradient tabGradient13 = new WeifenLuo.WinFormsUI.Docking.TabGradient();
-      WeifenLuo.WinFormsUI.Docking.TabGradient tabGradient14 = new WeifenLuo.WinFormsUI.Docking.TabGradient();
+      WeifenLuo.WinFormsUI.Docking.DockPanelSkin dockPanelSkin4 = new WeifenLuo.WinFormsUI.Docking.DockPanelSkin();
+      WeifenLuo.WinFormsUI.Docking.AutoHideStripSkin autoHideStripSkin4 = new WeifenLuo.WinFormsUI.Docking.AutoHideStripSkin();
+      WeifenLuo.WinFormsUI.Docking.DockPanelGradient dockPanelGradient10 = new WeifenLuo.WinFormsUI.Docking.DockPanelGradient();
+      WeifenLuo.WinFormsUI.Docking.TabGradient tabGradient22 = new WeifenLuo.WinFormsUI.Docking.TabGradient();
+      WeifenLuo.WinFormsUI.Docking.DockPaneStripSkin dockPaneStripSkin4 = new WeifenLuo.WinFormsUI.Docking.DockPaneStripSkin();
+      WeifenLuo.WinFormsUI.Docking.DockPaneStripGradient dockPaneStripGradient4 = new WeifenLuo.WinFormsUI.Docking.DockPaneStripGradient();
+      WeifenLuo.WinFormsUI.Docking.TabGradient tabGradient23 = new WeifenLuo.WinFormsUI.Docking.TabGradient();
+      WeifenLuo.WinFormsUI.Docking.DockPanelGradient dockPanelGradient11 = new WeifenLuo.WinFormsUI.Docking.DockPanelGradient();
+      WeifenLuo.WinFormsUI.Docking.TabGradient tabGradient24 = new WeifenLuo.WinFormsUI.Docking.TabGradient();
+      WeifenLuo.WinFormsUI.Docking.DockPaneStripToolWindowGradient dockPaneStripToolWindowGradient4 = new WeifenLuo.WinFormsUI.Docking.DockPaneStripToolWindowGradient();
+      WeifenLuo.WinFormsUI.Docking.TabGradient tabGradient25 = new WeifenLuo.WinFormsUI.Docking.TabGradient();
+      WeifenLuo.WinFormsUI.Docking.TabGradient tabGradient26 = new WeifenLuo.WinFormsUI.Docking.TabGradient();
+      WeifenLuo.WinFormsUI.Docking.DockPanelGradient dockPanelGradient12 = new WeifenLuo.WinFormsUI.Docking.DockPanelGradient();
+      WeifenLuo.WinFormsUI.Docking.TabGradient tabGradient27 = new WeifenLuo.WinFormsUI.Docking.TabGradient();
+      WeifenLuo.WinFormsUI.Docking.TabGradient tabGradient28 = new WeifenLuo.WinFormsUI.Docking.TabGradient();
       this.minTargetView = new HeuristicLab.Data.Views.StringConvertibleValueView();
       this.maxEvaluationsView = new HeuristicLab.Data.Views.StringConvertibleValueView();
       this.algorithmCloneButton = new System.Windows.Forms.Button();
       this.seedingStrategyPanel = new System.Windows.Forms.Panel();
+      this.algorithmStartButton = new System.Windows.Forms.Button();
+      this.minimumTargetLabel = new System.Windows.Forms.Label();
+      this.seedingStrategyLabel = new System.Windows.Forms.Label();
+      this.evaluationsLimitabel = new System.Windows.Forms.Label();
+      this.suggestedInstancesComboBox = new System.Windows.Forms.ComboBox();
+      this.instanceLabel = new System.Windows.Forms.Label();
       this.solverTabControl = new HeuristicLab.MainForm.WindowsForms.DragOverTabControl();
       this.resultsTabPage = new System.Windows.Forms.TabPage();
@@ -77,15 +83,4 @@
       this.operatorGraphTabPage = new System.Windows.Forms.TabPage();
       this.operatorGraphViewHost = new HeuristicLab.MainForm.WindowsForms.ViewHost();
-      this.algorithmStartButton = new System.Windows.Forms.Button();
-      this.minimumTargetLabel = new System.Windows.Forms.Label();
-      this.seedingStrategyLabel = new System.Windows.Forms.Label();
-      this.evaluationsLimitabel = new System.Windows.Forms.Label();
-      this.recommenderLabel = new System.Windows.Forms.Label();
-      this.suggestedInstancesComboBox = new System.Windows.Forms.ComboBox();
-      this.recommenderComboBox = new System.Windows.Forms.ComboBox();
-      this.solverSplitContainer = new System.Windows.Forms.SplitContainer();
-      this.recommenderViewHost = new HeuristicLab.MainForm.WindowsForms.ViewHost();
-      this.instanceLabel = new System.Windows.Forms.Label();
-      this.recommendRefreshButton = new System.Windows.Forms.Button();
       this.solverTabControl.SuspendLayout();
       this.resultsTabPage.SuspendLayout();
@@ -94,8 +89,4 @@
       this.parametersTabPage.SuspendLayout();
       this.operatorGraphTabPage.SuspendLayout();
-      ((System.ComponentModel.ISupportInitialize)(this.solverSplitContainer)).BeginInit();
-      this.solverSplitContainer.Panel1.SuspendLayout();
-      this.solverSplitContainer.Panel2.SuspendLayout();
-      this.solverSplitContainer.SuspendLayout();
       this.SuspendLayout();
       // 
@@ -124,9 +115,9 @@
       // algorithmCloneButton
       // 
-      this.algorithmCloneButton.Location = new System.Drawing.Point(123, 60);
+      this.algorithmCloneButton.Location = new System.Drawing.Point(518, 56);
       this.algorithmCloneButton.Name = "algorithmCloneButton";
       this.algorithmCloneButton.Size = new System.Drawing.Size(26, 23);
       this.algorithmCloneButton.TabIndex = 15;
-      this.algorithmCloneButton.Text = "Clone";
+      this.algorithmCloneButton.Text = "c";
       this.algorithmCloneButton.UseVisualStyleBackColor = true;
       this.algorithmCloneButton.Click += new System.EventHandler(this.AlgorithmCloneButtonOnClick);
@@ -141,7 +132,65 @@
       this.seedingStrategyPanel.TabIndex = 12;
       // 
+      // algorithmStartButton
+      // 
+      this.algorithmStartButton.Location = new System.Drawing.Point(486, 56);
+      this.algorithmStartButton.Name = "algorithmStartButton";
+      this.algorithmStartButton.Size = new System.Drawing.Size(26, 23);
+      this.algorithmStartButton.TabIndex = 10;
+      this.algorithmStartButton.Text = "Start";
+      this.algorithmStartButton.UseVisualStyleBackColor = true;
+      this.algorithmStartButton.Click += new System.EventHandler(this.AlgorithmStartButtonOnClick);
+      // 
+      // minimumTargetLabel
+      // 
+      this.minimumTargetLabel.AutoSize = true;
+      this.minimumTargetLabel.Location = new System.Drawing.Point(384, 6);
+      this.minimumTargetLabel.Name = "minimumTargetLabel";
+      this.minimumTargetLabel.Size = new System.Drawing.Size(41, 13);
+      this.minimumTargetLabel.TabIndex = 13;
+      this.minimumTargetLabel.Text = "Target:";
+      // 
+      // seedingStrategyLabel
+      // 
+      this.seedingStrategyLabel.AutoSize = true;
+      this.seedingStrategyLabel.Location = new System.Drawing.Point(3, 33);
+      this.seedingStrategyLabel.Name = "seedingStrategyLabel";
+      this.seedingStrategyLabel.Size = new System.Drawing.Size(91, 13);
+      this.seedingStrategyLabel.TabIndex = 8;
+      this.seedingStrategyLabel.Text = "Seeding Strategy:";
+      // 
+      // evaluationsLimitabel
+      // 
+      this.evaluationsLimitabel.AutoSize = true;
+      this.evaluationsLimitabel.Location = new System.Drawing.Point(3, 6);
+      this.evaluationsLimitabel.Name = "evaluationsLimitabel";
+      this.evaluationsLimitabel.Size = new System.Drawing.Size(66, 13);
+      this.evaluationsLimitabel.TabIndex = 13;
+      this.evaluationsLimitabel.Text = "Budget (FE):";
+      // 
+      // suggestedInstancesComboBox
+      // 
+      this.suggestedInstancesComboBox.DropDownStyle = System.Windows.Forms.ComboBoxStyle.DropDownList;
+      this.suggestedInstancesComboBox.FormattingEnabled = true;
+      this.suggestedInstancesComboBox.Location = new System.Drawing.Point(108, 56);
+      this.suggestedInstancesComboBox.Name = "suggestedInstancesComboBox";
+      this.suggestedInstancesComboBox.Size = new System.Drawing.Size(372, 21);
+      this.suggestedInstancesComboBox.TabIndex = 7;
+      this.suggestedInstancesComboBox.SelectedIndexChanged += new System.EventHandler(this.SuggestedInstancesComboBoxOnSelectedIndexChanged);
+      // 
+      // instanceLabel
+      // 
+      this.instanceLabel.AutoSize = true;
+      this.instanceLabel.Location = new System.Drawing.Point(3, 59);
+      this.instanceLabel.Name = "instanceLabel";
+      this.instanceLabel.Size = new System.Drawing.Size(51, 13);
+      this.instanceLabel.TabIndex = 9;
+      this.instanceLabel.Text = "Instance:";
+      // 
       // solverTabControl
       // 
-      this.solverTabControl.AllowDrop = true;
+      this.solverTabControl.Anchor = ((System.Windows.Forms.AnchorStyles)((((System.Windows.Forms.AnchorStyles.Top | System.Windows.Forms.AnchorStyles.Bottom) 
+            | System.Windows.Forms.AnchorStyles.Left) 
+            | System.Windows.Forms.AnchorStyles.Right)));
       this.solverTabControl.Controls.Add(this.resultsTabPage);
       this.solverTabControl.Controls.Add(this.runsTabPage);
@@ -150,10 +199,9 @@
       this.solverTabControl.Controls.Add(this.parametersTabPage);
       this.solverTabControl.Controls.Add(this.operatorGraphTabPage);
-      this.solverTabControl.Dock = System.Windows.Forms.DockStyle.Fill;
-      this.solverTabControl.Location = new System.Drawing.Point(3, 3);
+      this.solverTabControl.Location = new System.Drawing.Point(6, 85);
       this.solverTabControl.Name = "solverTabControl";
       this.solverTabControl.SelectedIndex = 0;
-      this.solverTabControl.Size = new System.Drawing.Size(556, 502);
-      this.solverTabControl.TabIndex = 11;
+      this.solverTabControl.Size = new System.Drawing.Size(843, 479);
+      this.solverTabControl.TabIndex = 17;
       // 
       // resultsTabPage
@@ -164,5 +212,5 @@
       this.resultsTabPage.Name = "resultsTabPage";
       this.resultsTabPage.Padding = new System.Windows.Forms.Padding(3);
-      this.resultsTabPage.Size = new System.Drawing.Size(548, 476);
+      this.resultsTabPage.Size = new System.Drawing.Size(835, 453);
       this.resultsTabPage.TabIndex = 2;
       this.resultsTabPage.Text = "Results";
@@ -189,51 +237,51 @@
       this.resultsDockPanel.Location = new System.Drawing.Point(3, 29);
       this.resultsDockPanel.Name = "resultsDockPanel";
-      this.resultsDockPanel.Size = new System.Drawing.Size(542, 444);
-      dockPanelGradient4.EndColor = System.Drawing.SystemColors.ControlLight;
-      dockPanelGradient4.StartColor = System.Drawing.SystemColors.ControlLight;
-      autoHideStripSkin2.DockStripGradient = dockPanelGradient4;
-      tabGradient8.EndColor = System.Drawing.SystemColors.Control;
-      tabGradient8.StartColor = System.Drawing.SystemColors.Control;
-      tabGradient8.TextColor = System.Drawing.SystemColors.ControlDarkDark;
-      autoHideStripSkin2.TabGradient = tabGradient8;
-      autoHideStripSkin2.TextFont = new System.Drawing.Font("Segoe UI", 9F);
-      dockPanelSkin2.AutoHideStripSkin = autoHideStripSkin2;
-      tabGradient9.EndColor = System.Drawing.SystemColors.ControlLightLight;
-      tabGradient9.StartColor = System.Drawing.SystemColors.ControlLightLight;
-      tabGradient9.TextColor = System.Drawing.SystemColors.ControlText;
-      dockPaneStripGradient2.ActiveTabGradient = tabGradient9;
-      dockPanelGradient5.EndColor = System.Drawing.SystemColors.Control;
-      dockPanelGradient5.StartColor = System.Drawing.SystemColors.Control;
-      dockPaneStripGradient2.DockStripGradient = dockPanelGradient5;
-      tabGradient10.EndColor = System.Drawing.SystemColors.ControlLight;
-      tabGradient10.StartColor = System.Drawing.SystemColors.ControlLight;
-      tabGradient10.TextColor = System.Drawing.SystemColors.ControlText;
-      dockPaneStripGradient2.InactiveTabGradient = tabGradient10;
-      dockPaneStripSkin2.DocumentGradient = dockPaneStripGradient2;
-      dockPaneStripSkin2.TextFont = new System.Drawing.Font("Segoe UI", 9F);
-      tabGradient11.EndColor = System.Drawing.SystemColors.ActiveCaption;
-      tabGradient11.LinearGradientMode = System.Drawing.Drawing2D.LinearGradientMode.Vertical;
-      tabGradient11.StartColor = System.Drawing.SystemColors.GradientActiveCaption;
-      tabGradient11.TextColor = System.Drawing.SystemColors.ActiveCaptionText;
-      dockPaneStripToolWindowGradient2.ActiveCaptionGradient = tabGradient11;
-      tabGradient12.EndColor = System.Drawing.SystemColors.Control;
-      tabGradient12.StartColor = System.Drawing.SystemColors.Control;
-      tabGradient12.TextColor = System.Drawing.SystemColors.ControlText;
-      dockPaneStripToolWindowGradient2.ActiveTabGradient = tabGradient12;
-      dockPanelGradient6.EndColor = System.Drawing.SystemColors.ControlLight;
-      dockPanelGradient6.StartColor = System.Drawing.SystemColors.ControlLight;
-      dockPaneStripToolWindowGradient2.DockStripGradient = dockPanelGradient6;
-      tabGradient13.EndColor = System.Drawing.SystemColors.InactiveCaption;
-      tabGradient13.LinearGradientMode = System.Drawing.Drawing2D.LinearGradientMode.Vertical;
-      tabGradient13.StartColor = System.Drawing.SystemColors.GradientInactiveCaption;
-      tabGradient13.TextColor = System.Drawing.SystemColors.InactiveCaptionText;
-      dockPaneStripToolWindowGradient2.InactiveCaptionGradient = tabGradient13;
-      tabGradient14.EndColor = System.Drawing.Color.Transparent;
-      tabGradient14.StartColor = System.Drawing.Color.Transparent;
-      tabGradient14.TextColor = System.Drawing.SystemColors.ControlDarkDark;
-      dockPaneStripToolWindowGradient2.InactiveTabGradient = tabGradient14;
-      dockPaneStripSkin2.ToolWindowGradient = dockPaneStripToolWindowGradient2;
-      dockPanelSkin2.DockPaneStripSkin = dockPaneStripSkin2;
-      this.resultsDockPanel.Skin = dockPanelSkin2;
+      this.resultsDockPanel.Size = new System.Drawing.Size(829, 421);
+      dockPanelGradient10.EndColor = System.Drawing.SystemColors.ControlLight;
+      dockPanelGradient10.StartColor = System.Drawing.SystemColors.ControlLight;
+      autoHideStripSkin4.DockStripGradient = dockPanelGradient10;
+      tabGradient22.EndColor = System.Drawing.SystemColors.Control;
+      tabGradient22.StartColor = System.Drawing.SystemColors.Control;
+      tabGradient22.TextColor = System.Drawing.SystemColors.ControlDarkDark;
+      autoHideStripSkin4.TabGradient = tabGradient22;
+      autoHideStripSkin4.TextFont = new System.Drawing.Font("Segoe UI", 9F);
+      dockPanelSkin4.AutoHideStripSkin = autoHideStripSkin4;
+      tabGradient23.EndColor = System.Drawing.SystemColors.ControlLightLight;
+      tabGradient23.StartColor = System.Drawing.SystemColors.ControlLightLight;
+      tabGradient23.TextColor = System.Drawing.SystemColors.ControlText;
+      dockPaneStripGradient4.ActiveTabGradient = tabGradient23;
+      dockPanelGradient11.EndColor = System.Drawing.SystemColors.Control;
+      dockPanelGradient11.StartColor = System.Drawing.SystemColors.Control;
+      dockPaneStripGradient4.DockStripGradient = dockPanelGradient11;
+      tabGradient24.EndColor = System.Drawing.SystemColors.ControlLight;
+      tabGradient24.StartColor = System.Drawing.SystemColors.ControlLight;
+      tabGradient24.TextColor = System.Drawing.SystemColors.ControlText;
+      dockPaneStripGradient4.InactiveTabGradient = tabGradient24;
+      dockPaneStripSkin4.DocumentGradient = dockPaneStripGradient4;
+      dockPaneStripSkin4.TextFont = new System.Drawing.Font("Segoe UI", 9F);
+      tabGradient25.EndColor = System.Drawing.SystemColors.ActiveCaption;
+      tabGradient25.LinearGradientMode = System.Drawing.Drawing2D.LinearGradientMode.Vertical;
+      tabGradient25.StartColor = System.Drawing.SystemColors.GradientActiveCaption;
+      tabGradient25.TextColor = System.Drawing.SystemColors.ActiveCaptionText;
+      dockPaneStripToolWindowGradient4.ActiveCaptionGradient = tabGradient25;
+      tabGradient26.EndColor = System.Drawing.SystemColors.Control;
+      tabGradient26.StartColor = System.Drawing.SystemColors.Control;
+      tabGradient26.TextColor = System.Drawing.SystemColors.ControlText;
+      dockPaneStripToolWindowGradient4.ActiveTabGradient = tabGradient26;
+      dockPanelGradient12.EndColor = System.Drawing.SystemColors.ControlLight;
+      dockPanelGradient12.StartColor = System.Drawing.SystemColors.ControlLight;
+      dockPaneStripToolWindowGradient4.DockStripGradient = dockPanelGradient12;
+      tabGradient27.EndColor = System.Drawing.SystemColors.InactiveCaption;
+      tabGradient27.LinearGradientMode = System.Drawing.Drawing2D.LinearGradientMode.Vertical;
+      tabGradient27.StartColor = System.Drawing.SystemColors.GradientInactiveCaption;
+      tabGradient27.TextColor = System.Drawing.SystemColors.InactiveCaptionText;
+      dockPaneStripToolWindowGradient4.InactiveCaptionGradient = tabGradient27;
+      tabGradient28.EndColor = System.Drawing.Color.Transparent;
+      tabGradient28.StartColor = System.Drawing.Color.Transparent;
+      tabGradient28.TextColor = System.Drawing.SystemColors.ControlDarkDark;
+      dockPaneStripToolWindowGradient4.InactiveTabGradient = tabGradient28;
+      dockPaneStripSkin4.ToolWindowGradient = dockPaneStripToolWindowGradient4;
+      dockPanelSkin4.DockPaneStripSkin = dockPaneStripSkin4;
+      this.resultsDockPanel.Skin = dockPanelSkin4;
       this.resultsDockPanel.TabIndex = 0;
       // 
@@ -244,5 +292,5 @@
       this.runsTabPage.Name = "runsTabPage";
       this.runsTabPage.Padding = new System.Windows.Forms.Padding(3);
-      this.runsTabPage.Size = new System.Drawing.Size(548, 476);
+      this.runsTabPage.Size = new System.Drawing.Size(548, 418);
       this.runsTabPage.TabIndex = 4;
       this.runsTabPage.Text = "Runs";
@@ -257,5 +305,5 @@
       this.runsView.Name = "runsView";
       this.runsView.ReadOnly = false;
-      this.runsView.Size = new System.Drawing.Size(542, 470);
+      this.runsView.Size = new System.Drawing.Size(542, 412);
       this.runsView.TabIndex = 0;
       // 
@@ -266,5 +314,5 @@
       this.seededRunsTabPage.Name = "seededRunsTabPage";
       this.seededRunsTabPage.Padding = new System.Windows.Forms.Padding(3);
-      this.seededRunsTabPage.Size = new System.Drawing.Size(548, 476);
+      this.seededRunsTabPage.Size = new System.Drawing.Size(548, 418);
       this.seededRunsTabPage.TabIndex = 5;
       this.seededRunsTabPage.Text = "Seeded Runs";
@@ -279,5 +327,5 @@
       this.seededRunsView.Name = "seededRunsView";
       this.seededRunsView.ReadOnly = false;
-      this.seededRunsView.Size = new System.Drawing.Size(542, 470);
+      this.seededRunsView.Size = new System.Drawing.Size(542, 412);
       this.seededRunsView.TabIndex = 1;
       // 
@@ -287,5 +335,5 @@
       this.solutionSeedingTabPage.Name = "solutionSeedingTabPage";
       this.solutionSeedingTabPage.Padding = new System.Windows.Forms.Padding(3);
-      this.solutionSeedingTabPage.Size = new System.Drawing.Size(548, 476);
+      this.solutionSeedingTabPage.Size = new System.Drawing.Size(548, 418);
       this.solutionSeedingTabPage.TabIndex = 1;
       this.solutionSeedingTabPage.Text = "Seeding Pool";
@@ -298,5 +346,5 @@
       this.parametersTabPage.Name = "parametersTabPage";
       this.parametersTabPage.Padding = new System.Windows.Forms.Padding(3);
-      this.parametersTabPage.Size = new System.Drawing.Size(548, 476);
+      this.parametersTabPage.Size = new System.Drawing.Size(548, 418);
       this.parametersTabPage.TabIndex = 0;
       this.parametersTabPage.Text = "Parameters";
@@ -313,5 +361,5 @@
       this.solverParametersView.ReadOnly = true;
       this.solverParametersView.ShowDetails = true;
-      this.solverParametersView.Size = new System.Drawing.Size(542, 470);
+      this.solverParametersView.Size = new System.Drawing.Size(542, 412);
       this.solverParametersView.TabIndex = 0;
       // 
@@ -322,5 +370,5 @@
       this.operatorGraphTabPage.Name = "operatorGraphTabPage";
       this.operatorGraphTabPage.Padding = new System.Windows.Forms.Padding(3);
-      this.operatorGraphTabPage.Size = new System.Drawing.Size(548, 476);
+      this.operatorGraphTabPage.Size = new System.Drawing.Size(548, 418);
       this.operatorGraphTabPage.TabIndex = 3;
       this.operatorGraphTabPage.Text = "Operator Graph";
@@ -336,150 +384,20 @@
       this.operatorGraphViewHost.Name = "operatorGraphViewHost";
       this.operatorGraphViewHost.ReadOnly = true;
-      this.operatorGraphViewHost.Size = new System.Drawing.Size(542, 470);
+      this.operatorGraphViewHost.Size = new System.Drawing.Size(542, 412);
       this.operatorGraphViewHost.TabIndex = 0;
       this.operatorGraphViewHost.ViewsLabelVisible = true;
       this.operatorGraphViewHost.ViewType = null;
       // 
-      // algorithmStartButton
-      // 
-      this.algorithmStartButton.Location = new System.Drawing.Point(91, 60);
-      this.algorithmStartButton.Name = "algorithmStartButton";
-      this.algorithmStartButton.Size = new System.Drawing.Size(26, 23);
-      this.algorithmStartButton.TabIndex = 10;
-      this.algorithmStartButton.Text = "Start";
-      this.algorithmStartButton.UseVisualStyleBackColor = true;
-      this.algorithmStartButton.Click += new System.EventHandler(this.AlgorithmStartButtonOnClick);
-      // 
-      // minimumTargetLabel
-      // 
-      this.minimumTargetLabel.AutoSize = true;
-      this.minimumTargetLabel.Location = new System.Drawing.Point(384, 6);
-      this.minimumTargetLabel.Name = "minimumTargetLabel";
-      this.minimumTargetLabel.Size = new System.Drawing.Size(41, 13);
-      this.minimumTargetLabel.TabIndex = 13;
-      this.minimumTargetLabel.Text = "Target:";
-      // 
-      // seedingStrategyLabel
-      // 
-      this.seedingStrategyLabel.AutoSize = true;
-      this.seedingStrategyLabel.Location = new System.Drawing.Point(3, 33);
-      this.seedingStrategyLabel.Name = "seedingStrategyLabel";
-      this.seedingStrategyLabel.Size = new System.Drawing.Size(91, 13);
-      this.seedingStrategyLabel.TabIndex = 8;
-      this.seedingStrategyLabel.Text = "Seeding Strategy:";
-      // 
-      // evaluationsLimitabel
-      // 
-      this.evaluationsLimitabel.AutoSize = true;
-      this.evaluationsLimitabel.Location = new System.Drawing.Point(3, 6);
-      this.evaluationsLimitabel.Name = "evaluationsLimitabel";
-      this.evaluationsLimitabel.Size = new System.Drawing.Size(66, 13);
-      this.evaluationsLimitabel.TabIndex = 13;
-      this.evaluationsLimitabel.Text = "Budget (FE):";
-      // 
-      // recommenderLabel
-      // 
-      this.recommenderLabel.AutoSize = true;
-      this.recommenderLabel.Location = new System.Drawing.Point(6, 9);
-      this.recommenderLabel.Name = "recommenderLabel";
-      this.recommenderLabel.Size = new System.Drawing.Size(79, 13);
-      this.recommenderLabel.TabIndex = 9;
-      this.recommenderLabel.Text = "Recommender:";
-      // 
-      // suggestedInstancesComboBox
-      // 
-      this.suggestedInstancesComboBox.Anchor = ((System.Windows.Forms.AnchorStyles)(((System.Windows.Forms.AnchorStyles.Top | System.Windows.Forms.AnchorStyles.Left) 
-            | System.Windows.Forms.AnchorStyles.Right)));
-      this.suggestedInstancesComboBox.DropDownStyle = System.Windows.Forms.ComboBoxStyle.DropDownList;
-      this.suggestedInstancesComboBox.FormattingEnabled = true;
-      this.suggestedInstancesComboBox.Location = new System.Drawing.Point(91, 33);
-      this.suggestedInstancesComboBox.Name = "suggestedInstancesComboBox";
-      this.suggestedInstancesComboBox.Size = new System.Drawing.Size(186, 21);
-      this.suggestedInstancesComboBox.TabIndex = 7;
-      this.suggestedInstancesComboBox.SelectedIndexChanged += new System.EventHandler(this.SuggestedInstancesComboBoxOnSelectedIndexChanged);
-      // 
-      // recommenderComboBox
-      // 
-      this.recommenderComboBox.Anchor = ((System.Windows.Forms.AnchorStyles)(((System.Windows.Forms.AnchorStyles.Top | System.Windows.Forms.AnchorStyles.Left) 
-            | System.Windows.Forms.AnchorStyles.Right)));
-      this.recommenderComboBox.DropDownStyle = System.Windows.Forms.ComboBoxStyle.DropDownList;
-      this.recommenderComboBox.FormattingEnabled = true;
-      this.recommenderComboBox.Location = new System.Drawing.Point(91, 6);
-      this.recommenderComboBox.Name = "recommenderComboBox";
-      this.recommenderComboBox.Size = new System.Drawing.Size(154, 21);
-      this.recommenderComboBox.TabIndex = 7;
-      this.recommenderComboBox.SelectedIndexChanged += new System.EventHandler(this.RecommenderComboBoxOnSelectedIndexChanged);
-      // 
-      // solverSplitContainer
-      // 
-      this.solverSplitContainer.Anchor = ((System.Windows.Forms.AnchorStyles)((((System.Windows.Forms.AnchorStyles.Top | System.Windows.Forms.AnchorStyles.Bottom) 
-            | System.Windows.Forms.AnchorStyles.Left) 
-            | System.Windows.Forms.AnchorStyles.Right)));
-      this.solverSplitContainer.Location = new System.Drawing.Point(0, 56);
-      this.solverSplitContainer.Name = "solverSplitContainer";
-      // 
-      // solverSplitContainer.Panel1
-      // 
-      this.solverSplitContainer.Panel1.Controls.Add(this.recommenderViewHost);
-      this.solverSplitContainer.Panel1.Controls.Add(this.instanceLabel);
-      this.solverSplitContainer.Panel1.Controls.Add(this.recommenderLabel);
-      this.solverSplitContainer.Panel1.Controls.Add(this.recommenderComboBox);
-      this.solverSplitContainer.Panel1.Controls.Add(this.algorithmCloneButton);
-      this.solverSplitContainer.Panel1.Controls.Add(this.suggestedInstancesComboBox);
-      this.solverSplitContainer.Panel1.Controls.Add(this.recommendRefreshButton);
-      this.solverSplitContainer.Panel1.Controls.Add(this.algorithmStartButton);
-      this.solverSplitContainer.Panel1.Padding = new System.Windows.Forms.Padding(3);
-      // 
-      // solverSplitContainer.Panel2
-      // 
-      this.solverSplitContainer.Panel2.Controls.Add(this.solverTabControl);
-      this.solverSplitContainer.Panel2.Padding = new System.Windows.Forms.Padding(3);
-      this.solverSplitContainer.Size = new System.Drawing.Size(849, 508);
-      this.solverSplitContainer.SplitterDistance = 283;
-      this.solverSplitContainer.TabIndex = 17;
-      // 
-      // recommenderViewHost
-      // 
-      this.recommenderViewHost.Anchor = ((System.Windows.Forms.AnchorStyles)((((System.Windows.Forms.AnchorStyles.Top | System.Windows.Forms.AnchorStyles.Bottom) 
-            | System.Windows.Forms.AnchorStyles.Left) 
-            | System.Windows.Forms.AnchorStyles.Right)));
-      this.recommenderViewHost.Caption = "View";
-      this.recommenderViewHost.Content = null;
-      this.recommenderViewHost.Enabled = false;
-      this.recommenderViewHost.Location = new System.Drawing.Point(6, 89);
-      this.recommenderViewHost.Name = "recommenderViewHost";
-      this.recommenderViewHost.ReadOnly = false;
-      this.recommenderViewHost.Size = new System.Drawing.Size(271, 412);
-      this.recommenderViewHost.TabIndex = 16;
-      this.recommenderViewHost.ViewsLabelVisible = true;
-      this.recommenderViewHost.ViewType = null;
-      // 
-      // instanceLabel
-      // 
-      this.instanceLabel.AutoSize = true;
-      this.instanceLabel.Location = new System.Drawing.Point(6, 36);
-      this.instanceLabel.Name = "instanceLabel";
-      this.instanceLabel.Size = new System.Drawing.Size(51, 13);
-      this.instanceLabel.TabIndex = 9;
-      this.instanceLabel.Text = "Instance:";
-      // 
-      // recommendRefreshButton
-      // 
-      this.recommendRefreshButton.Anchor = ((System.Windows.Forms.AnchorStyles)((System.Windows.Forms.AnchorStyles.Top | System.Windows.Forms.AnchorStyles.Right)));
-      this.recommendRefreshButton.Location = new System.Drawing.Point(251, 6);
-      this.recommendRefreshButton.Name = "recommendRefreshButton";
-      this.recommendRefreshButton.Size = new System.Drawing.Size(26, 23);
-      this.recommendRefreshButton.TabIndex = 10;
-      this.recommendRefreshButton.Text = "Start";
-      this.recommendRefreshButton.UseVisualStyleBackColor = true;
-      this.recommendRefreshButton.Click += new System.EventHandler(this.button1_Click);
-      // 
       // SolverView
       // 
       this.AutoScaleDimensions = new System.Drawing.SizeF(6F, 13F);
       this.AutoScaleMode = System.Windows.Forms.AutoScaleMode.Font;
-      this.Controls.Add(this.solverSplitContainer);
+      this.Controls.Add(this.solverTabControl);
+      this.Controls.Add(this.algorithmCloneButton);
+      this.Controls.Add(this.instanceLabel);
+      this.Controls.Add(this.algorithmStartButton);
       this.Controls.Add(this.minTargetView);
       this.Controls.Add(this.maxEvaluationsView);
+      this.Controls.Add(this.suggestedInstancesComboBox);
       this.Controls.Add(this.seedingStrategyPanel);
       this.Controls.Add(this.minimumTargetLabel);
@@ -495,9 +413,4 @@
       this.parametersTabPage.ResumeLayout(false);
       this.operatorGraphTabPage.ResumeLayout(false);
-      this.solverSplitContainer.Panel1.ResumeLayout(false);
-      this.solverSplitContainer.Panel1.PerformLayout();
-      this.solverSplitContainer.Panel2.ResumeLayout(false);
-      ((System.ComponentModel.ISupportInitialize)(this.solverSplitContainer)).EndInit();
-      this.solverSplitContainer.ResumeLayout(false);
       this.ResumeLayout(false);
       this.PerformLayout();
@@ -508,6 +421,21 @@
 
     private System.Windows.Forms.Panel seedingStrategyPanel;
+    private System.Windows.Forms.Button algorithmStartButton;
+    private System.Windows.Forms.Label seedingStrategyLabel;
+    private System.Windows.Forms.Label evaluationsLimitabel;
+    private System.Windows.Forms.ComboBox suggestedInstancesComboBox;
+    private System.Windows.Forms.Button algorithmCloneButton;
+    private Data.Views.StringConvertibleValueView maxEvaluationsView;
+    private System.Windows.Forms.Label minimumTargetLabel;
+    private Data.Views.StringConvertibleValueView minTargetView;
+    private System.Windows.Forms.Label instanceLabel;
     private MainForm.WindowsForms.DragOverTabControl solverTabControl;
     private System.Windows.Forms.TabPage resultsTabPage;
+    private System.Windows.Forms.CheckBox showOnlyFinalResultCheckBox;
+    private WeifenLuo.WinFormsUI.Docking.DockPanel resultsDockPanel;
+    private System.Windows.Forms.TabPage runsTabPage;
+    private Optimization.Views.RunCollectionView runsView;
+    private System.Windows.Forms.TabPage seededRunsTabPage;
+    private Optimization.Views.RunCollectionView seededRunsView;
     private System.Windows.Forms.TabPage solutionSeedingTabPage;
     private System.Windows.Forms.TabPage parametersTabPage;
@@ -515,24 +443,4 @@
     private System.Windows.Forms.TabPage operatorGraphTabPage;
     private MainForm.WindowsForms.ViewHost operatorGraphViewHost;
-    private System.Windows.Forms.Button algorithmStartButton;
-    private System.Windows.Forms.Label seedingStrategyLabel;
-    private System.Windows.Forms.Label evaluationsLimitabel;
-    private System.Windows.Forms.Label recommenderLabel;
-    private System.Windows.Forms.ComboBox suggestedInstancesComboBox;
-    private System.Windows.Forms.Button algorithmCloneButton;
-    private System.Windows.Forms.TabPage runsTabPage;
-    private Optimization.Views.RunCollectionView runsView;
-    private Data.Views.StringConvertibleValueView maxEvaluationsView;
-    private WeifenLuo.WinFormsUI.Docking.DockPanel resultsDockPanel;
-    private System.Windows.Forms.CheckBox showOnlyFinalResultCheckBox;
-    private System.Windows.Forms.TabPage seededRunsTabPage;
-    private Optimization.Views.RunCollectionView seededRunsView;
-    private System.Windows.Forms.Label minimumTargetLabel;
-    private Data.Views.StringConvertibleValueView minTargetView;
-    private System.Windows.Forms.ComboBox recommenderComboBox;
-    private System.Windows.Forms.SplitContainer solverSplitContainer;
-    private MainForm.WindowsForms.ViewHost recommenderViewHost;
-    private System.Windows.Forms.Label instanceLabel;
-    private System.Windows.Forms.Button recommendRefreshButton;
   }
 }