Index: branches/PerformanceComparison/HeuristicLab.OptimizationExpertSystem/3.3/Views/SolverView.Designer.cs
===================================================================
--- branches/PerformanceComparison/HeuristicLab.OptimizationExpertSystem/3.3/Views/SolverView.Designer.cs	(revision 13787)
+++ branches/PerformanceComparison/HeuristicLab.OptimizationExpertSystem/3.3/Views/SolverView.Designer.cs	(revision 13791)
@@ -45,25 +45,23 @@
     /// </summary>
     private void InitializeComponent() {
-      WeifenLuo.WinFormsUI.Docking.DockPanelSkin dockPanelSkin4 = new WeifenLuo.WinFormsUI.Docking.DockPanelSkin();
-      WeifenLuo.WinFormsUI.Docking.AutoHideStripSkin autoHideStripSkin4 = new WeifenLuo.WinFormsUI.Docking.AutoHideStripSkin();
-      WeifenLuo.WinFormsUI.Docking.DockPanelGradient dockPanelGradient10 = new WeifenLuo.WinFormsUI.Docking.DockPanelGradient();
-      WeifenLuo.WinFormsUI.Docking.TabGradient tabGradient22 = new WeifenLuo.WinFormsUI.Docking.TabGradient();
-      WeifenLuo.WinFormsUI.Docking.DockPaneStripSkin dockPaneStripSkin4 = new WeifenLuo.WinFormsUI.Docking.DockPaneStripSkin();
-      WeifenLuo.WinFormsUI.Docking.DockPaneStripGradient dockPaneStripGradient4 = new WeifenLuo.WinFormsUI.Docking.DockPaneStripGradient();
-      WeifenLuo.WinFormsUI.Docking.TabGradient tabGradient23 = new WeifenLuo.WinFormsUI.Docking.TabGradient();
-      WeifenLuo.WinFormsUI.Docking.DockPanelGradient dockPanelGradient11 = new WeifenLuo.WinFormsUI.Docking.DockPanelGradient();
-      WeifenLuo.WinFormsUI.Docking.TabGradient tabGradient24 = new WeifenLuo.WinFormsUI.Docking.TabGradient();
-      WeifenLuo.WinFormsUI.Docking.DockPaneStripToolWindowGradient dockPaneStripToolWindowGradient4 = new WeifenLuo.WinFormsUI.Docking.DockPaneStripToolWindowGradient();
-      WeifenLuo.WinFormsUI.Docking.TabGradient tabGradient25 = new WeifenLuo.WinFormsUI.Docking.TabGradient();
-      WeifenLuo.WinFormsUI.Docking.TabGradient tabGradient26 = new WeifenLuo.WinFormsUI.Docking.TabGradient();
-      WeifenLuo.WinFormsUI.Docking.DockPanelGradient dockPanelGradient12 = new WeifenLuo.WinFormsUI.Docking.DockPanelGradient();
-      WeifenLuo.WinFormsUI.Docking.TabGradient tabGradient27 = new WeifenLuo.WinFormsUI.Docking.TabGradient();
-      WeifenLuo.WinFormsUI.Docking.TabGradient tabGradient28 = new WeifenLuo.WinFormsUI.Docking.TabGradient();
-      this.minTargetView = new HeuristicLab.Data.Views.StringConvertibleValueView();
+      WeifenLuo.WinFormsUI.Docking.DockPanelSkin dockPanelSkin1 = new WeifenLuo.WinFormsUI.Docking.DockPanelSkin();
+      WeifenLuo.WinFormsUI.Docking.AutoHideStripSkin autoHideStripSkin1 = new WeifenLuo.WinFormsUI.Docking.AutoHideStripSkin();
+      WeifenLuo.WinFormsUI.Docking.DockPanelGradient dockPanelGradient1 = new WeifenLuo.WinFormsUI.Docking.DockPanelGradient();
+      WeifenLuo.WinFormsUI.Docking.TabGradient tabGradient1 = new WeifenLuo.WinFormsUI.Docking.TabGradient();
+      WeifenLuo.WinFormsUI.Docking.DockPaneStripSkin dockPaneStripSkin1 = new WeifenLuo.WinFormsUI.Docking.DockPaneStripSkin();
+      WeifenLuo.WinFormsUI.Docking.DockPaneStripGradient dockPaneStripGradient1 = new WeifenLuo.WinFormsUI.Docking.DockPaneStripGradient();
+      WeifenLuo.WinFormsUI.Docking.TabGradient tabGradient2 = new WeifenLuo.WinFormsUI.Docking.TabGradient();
+      WeifenLuo.WinFormsUI.Docking.DockPanelGradient dockPanelGradient2 = new WeifenLuo.WinFormsUI.Docking.DockPanelGradient();
+      WeifenLuo.WinFormsUI.Docking.TabGradient tabGradient3 = new WeifenLuo.WinFormsUI.Docking.TabGradient();
+      WeifenLuo.WinFormsUI.Docking.DockPaneStripToolWindowGradient dockPaneStripToolWindowGradient1 = new WeifenLuo.WinFormsUI.Docking.DockPaneStripToolWindowGradient();
+      WeifenLuo.WinFormsUI.Docking.TabGradient tabGradient4 = new WeifenLuo.WinFormsUI.Docking.TabGradient();
+      WeifenLuo.WinFormsUI.Docking.TabGradient tabGradient5 = new WeifenLuo.WinFormsUI.Docking.TabGradient();
+      WeifenLuo.WinFormsUI.Docking.DockPanelGradient dockPanelGradient3 = new WeifenLuo.WinFormsUI.Docking.DockPanelGradient();
+      WeifenLuo.WinFormsUI.Docking.TabGradient tabGradient6 = new WeifenLuo.WinFormsUI.Docking.TabGradient();
+      WeifenLuo.WinFormsUI.Docking.TabGradient tabGradient7 = new WeifenLuo.WinFormsUI.Docking.TabGradient();
       this.maxEvaluationsView = new HeuristicLab.Data.Views.StringConvertibleValueView();
       this.algorithmCloneButton = new System.Windows.Forms.Button();
       this.seedingStrategyPanel = new System.Windows.Forms.Panel();
       this.algorithmStartButton = new System.Windows.Forms.Button();
-      this.minimumTargetLabel = new System.Windows.Forms.Label();
       this.seedingStrategyLabel = new System.Windows.Forms.Label();
       this.evaluationsLimitabel = new System.Windows.Forms.Label();
@@ -91,15 +89,4 @@
       this.SuspendLayout();
       // 
-      // minTargetView
-      // 
-      this.minTargetView.Caption = "StringConvertibleValue View";
-      this.minTargetView.Content = null;
-      this.minTargetView.LabelVisible = false;
-      this.minTargetView.Location = new System.Drawing.Point(431, 3);
-      this.minTargetView.Name = "minTargetView";
-      this.minTargetView.ReadOnly = false;
-      this.minTargetView.Size = new System.Drawing.Size(255, 21);
-      this.minTargetView.TabIndex = 16;
-      // 
       // maxEvaluationsView
       // 
@@ -142,13 +129,4 @@
       this.algorithmStartButton.Click += new System.EventHandler(this.AlgorithmStartButtonOnClick);
       // 
-      // minimumTargetLabel
-      // 
-      this.minimumTargetLabel.AutoSize = true;
-      this.minimumTargetLabel.Location = new System.Drawing.Point(384, 6);
-      this.minimumTargetLabel.Name = "minimumTargetLabel";
-      this.minimumTargetLabel.Size = new System.Drawing.Size(41, 13);
-      this.minimumTargetLabel.TabIndex = 13;
-      this.minimumTargetLabel.Text = "Target:";
-      // 
       // seedingStrategyLabel
       // 
@@ -190,4 +168,5 @@
       // solverTabControl
       // 
+      this.solverTabControl.AllowDrop = true;
       this.solverTabControl.Anchor = ((System.Windows.Forms.AnchorStyles)((((System.Windows.Forms.AnchorStyles.Top | System.Windows.Forms.AnchorStyles.Bottom) 
             | System.Windows.Forms.AnchorStyles.Left) 
@@ -238,50 +217,50 @@
       this.resultsDockPanel.Name = "resultsDockPanel";
       this.resultsDockPanel.Size = new System.Drawing.Size(829, 421);
-      dockPanelGradient10.EndColor = System.Drawing.SystemColors.ControlLight;
-      dockPanelGradient10.StartColor = System.Drawing.SystemColors.ControlLight;
-      autoHideStripSkin4.DockStripGradient = dockPanelGradient10;
-      tabGradient22.EndColor = System.Drawing.SystemColors.Control;
-      tabGradient22.StartColor = System.Drawing.SystemColors.Control;
-      tabGradient22.TextColor = System.Drawing.SystemColors.ControlDarkDark;
-      autoHideStripSkin4.TabGradient = tabGradient22;
-      autoHideStripSkin4.TextFont = new System.Drawing.Font("Segoe UI", 9F);
-      dockPanelSkin4.AutoHideStripSkin = autoHideStripSkin4;
-      tabGradient23.EndColor = System.Drawing.SystemColors.ControlLightLight;
-      tabGradient23.StartColor = System.Drawing.SystemColors.ControlLightLight;
-      tabGradient23.TextColor = System.Drawing.SystemColors.ControlText;
-      dockPaneStripGradient4.ActiveTabGradient = tabGradient23;
-      dockPanelGradient11.EndColor = System.Drawing.SystemColors.Control;
-      dockPanelGradient11.StartColor = System.Drawing.SystemColors.Control;
-      dockPaneStripGradient4.DockStripGradient = dockPanelGradient11;
-      tabGradient24.EndColor = System.Drawing.SystemColors.ControlLight;
-      tabGradient24.StartColor = System.Drawing.SystemColors.ControlLight;
-      tabGradient24.TextColor = System.Drawing.SystemColors.ControlText;
-      dockPaneStripGradient4.InactiveTabGradient = tabGradient24;
-      dockPaneStripSkin4.DocumentGradient = dockPaneStripGradient4;
-      dockPaneStripSkin4.TextFont = new System.Drawing.Font("Segoe UI", 9F);
-      tabGradient25.EndColor = System.Drawing.SystemColors.ActiveCaption;
-      tabGradient25.LinearGradientMode = System.Drawing.Drawing2D.LinearGradientMode.Vertical;
-      tabGradient25.StartColor = System.Drawing.SystemColors.GradientActiveCaption;
-      tabGradient25.TextColor = System.Drawing.SystemColors.ActiveCaptionText;
-      dockPaneStripToolWindowGradient4.ActiveCaptionGradient = tabGradient25;
-      tabGradient26.EndColor = System.Drawing.SystemColors.Control;
-      tabGradient26.StartColor = System.Drawing.SystemColors.Control;
-      tabGradient26.TextColor = System.Drawing.SystemColors.ControlText;
-      dockPaneStripToolWindowGradient4.ActiveTabGradient = tabGradient26;
-      dockPanelGradient12.EndColor = System.Drawing.SystemColors.ControlLight;
-      dockPanelGradient12.StartColor = System.Drawing.SystemColors.ControlLight;
-      dockPaneStripToolWindowGradient4.DockStripGradient = dockPanelGradient12;
-      tabGradient27.EndColor = System.Drawing.SystemColors.InactiveCaption;
-      tabGradient27.LinearGradientMode = System.Drawing.Drawing2D.LinearGradientMode.Vertical;
-      tabGradient27.StartColor = System.Drawing.SystemColors.GradientInactiveCaption;
-      tabGradient27.TextColor = System.Drawing.SystemColors.InactiveCaptionText;
-      dockPaneStripToolWindowGradient4.InactiveCaptionGradient = tabGradient27;
-      tabGradient28.EndColor = System.Drawing.Color.Transparent;
-      tabGradient28.StartColor = System.Drawing.Color.Transparent;
-      tabGradient28.TextColor = System.Drawing.SystemColors.ControlDarkDark;
-      dockPaneStripToolWindowGradient4.InactiveTabGradient = tabGradient28;
-      dockPaneStripSkin4.ToolWindowGradient = dockPaneStripToolWindowGradient4;
-      dockPanelSkin4.DockPaneStripSkin = dockPaneStripSkin4;
-      this.resultsDockPanel.Skin = dockPanelSkin4;
+      dockPanelGradient1.EndColor = System.Drawing.SystemColors.ControlLight;
+      dockPanelGradient1.StartColor = System.Drawing.SystemColors.ControlLight;
+      autoHideStripSkin1.DockStripGradient = dockPanelGradient1;
+      tabGradient1.EndColor = System.Drawing.SystemColors.Control;
+      tabGradient1.StartColor = System.Drawing.SystemColors.Control;
+      tabGradient1.TextColor = System.Drawing.SystemColors.ControlDarkDark;
+      autoHideStripSkin1.TabGradient = tabGradient1;
+      autoHideStripSkin1.TextFont = new System.Drawing.Font("Segoe UI", 9F);
+      dockPanelSkin1.AutoHideStripSkin = autoHideStripSkin1;
+      tabGradient2.EndColor = System.Drawing.SystemColors.ControlLightLight;
+      tabGradient2.StartColor = System.Drawing.SystemColors.ControlLightLight;
+      tabGradient2.TextColor = System.Drawing.SystemColors.ControlText;
+      dockPaneStripGradient1.ActiveTabGradient = tabGradient2;
+      dockPanelGradient2.EndColor = System.Drawing.SystemColors.Control;
+      dockPanelGradient2.StartColor = System.Drawing.SystemColors.Control;
+      dockPaneStripGradient1.DockStripGradient = dockPanelGradient2;
+      tabGradient3.EndColor = System.Drawing.SystemColors.ControlLight;
+      tabGradient3.StartColor = System.Drawing.SystemColors.ControlLight;
+      tabGradient3.TextColor = System.Drawing.SystemColors.ControlText;
+      dockPaneStripGradient1.InactiveTabGradient = tabGradient3;
+      dockPaneStripSkin1.DocumentGradient = dockPaneStripGradient1;
+      dockPaneStripSkin1.TextFont = new System.Drawing.Font("Segoe UI", 9F);
+      tabGradient4.EndColor = System.Drawing.SystemColors.ActiveCaption;
+      tabGradient4.LinearGradientMode = System.Drawing.Drawing2D.LinearGradientMode.Vertical;
+      tabGradient4.StartColor = System.Drawing.SystemColors.GradientActiveCaption;
+      tabGradient4.TextColor = System.Drawing.SystemColors.ActiveCaptionText;
+      dockPaneStripToolWindowGradient1.ActiveCaptionGradient = tabGradient4;
+      tabGradient5.EndColor = System.Drawing.SystemColors.Control;
+      tabGradient5.StartColor = System.Drawing.SystemColors.Control;
+      tabGradient5.TextColor = System.Drawing.SystemColors.ControlText;
+      dockPaneStripToolWindowGradient1.ActiveTabGradient = tabGradient5;
+      dockPanelGradient3.EndColor = System.Drawing.SystemColors.ControlLight;
+      dockPanelGradient3.StartColor = System.Drawing.SystemColors.ControlLight;
+      dockPaneStripToolWindowGradient1.DockStripGradient = dockPanelGradient3;
+      tabGradient6.EndColor = System.Drawing.SystemColors.InactiveCaption;
+      tabGradient6.LinearGradientMode = System.Drawing.Drawing2D.LinearGradientMode.Vertical;
+      tabGradient6.StartColor = System.Drawing.SystemColors.GradientInactiveCaption;
+      tabGradient6.TextColor = System.Drawing.SystemColors.InactiveCaptionText;
+      dockPaneStripToolWindowGradient1.InactiveCaptionGradient = tabGradient6;
+      tabGradient7.EndColor = System.Drawing.Color.Transparent;
+      tabGradient7.StartColor = System.Drawing.Color.Transparent;
+      tabGradient7.TextColor = System.Drawing.SystemColors.ControlDarkDark;
+      dockPaneStripToolWindowGradient1.InactiveTabGradient = tabGradient7;
+      dockPaneStripSkin1.ToolWindowGradient = dockPaneStripToolWindowGradient1;
+      dockPanelSkin1.DockPaneStripSkin = dockPaneStripSkin1;
+      this.resultsDockPanel.Skin = dockPanelSkin1;
       this.resultsDockPanel.TabIndex = 0;
       // 
@@ -292,5 +271,5 @@
       this.runsTabPage.Name = "runsTabPage";
       this.runsTabPage.Padding = new System.Windows.Forms.Padding(3);
-      this.runsTabPage.Size = new System.Drawing.Size(548, 418);
+      this.runsTabPage.Size = new System.Drawing.Size(835, 453);
       this.runsTabPage.TabIndex = 4;
       this.runsTabPage.Text = "Runs";
@@ -305,5 +284,5 @@
       this.runsView.Name = "runsView";
       this.runsView.ReadOnly = false;
-      this.runsView.Size = new System.Drawing.Size(542, 412);
+      this.runsView.Size = new System.Drawing.Size(829, 447);
       this.runsView.TabIndex = 0;
       // 
@@ -314,5 +293,5 @@
       this.seededRunsTabPage.Name = "seededRunsTabPage";
       this.seededRunsTabPage.Padding = new System.Windows.Forms.Padding(3);
-      this.seededRunsTabPage.Size = new System.Drawing.Size(548, 418);
+      this.seededRunsTabPage.Size = new System.Drawing.Size(835, 453);
       this.seededRunsTabPage.TabIndex = 5;
       this.seededRunsTabPage.Text = "Seeded Runs";
@@ -327,5 +306,5 @@
       this.seededRunsView.Name = "seededRunsView";
       this.seededRunsView.ReadOnly = false;
-      this.seededRunsView.Size = new System.Drawing.Size(542, 412);
+      this.seededRunsView.Size = new System.Drawing.Size(829, 447);
       this.seededRunsView.TabIndex = 1;
       // 
@@ -335,5 +314,5 @@
       this.solutionSeedingTabPage.Name = "solutionSeedingTabPage";
       this.solutionSeedingTabPage.Padding = new System.Windows.Forms.Padding(3);
-      this.solutionSeedingTabPage.Size = new System.Drawing.Size(548, 418);
+      this.solutionSeedingTabPage.Size = new System.Drawing.Size(835, 453);
       this.solutionSeedingTabPage.TabIndex = 1;
       this.solutionSeedingTabPage.Text = "Seeding Pool";
@@ -346,5 +325,5 @@
       this.parametersTabPage.Name = "parametersTabPage";
       this.parametersTabPage.Padding = new System.Windows.Forms.Padding(3);
-      this.parametersTabPage.Size = new System.Drawing.Size(548, 418);
+      this.parametersTabPage.Size = new System.Drawing.Size(835, 453);
       this.parametersTabPage.TabIndex = 0;
       this.parametersTabPage.Text = "Parameters";
@@ -361,5 +340,5 @@
       this.solverParametersView.ReadOnly = true;
       this.solverParametersView.ShowDetails = true;
-      this.solverParametersView.Size = new System.Drawing.Size(542, 412);
+      this.solverParametersView.Size = new System.Drawing.Size(829, 447);
       this.solverParametersView.TabIndex = 0;
       // 
@@ -370,5 +349,5 @@
       this.operatorGraphTabPage.Name = "operatorGraphTabPage";
       this.operatorGraphTabPage.Padding = new System.Windows.Forms.Padding(3);
-      this.operatorGraphTabPage.Size = new System.Drawing.Size(548, 418);
+      this.operatorGraphTabPage.Size = new System.Drawing.Size(835, 453);
       this.operatorGraphTabPage.TabIndex = 3;
       this.operatorGraphTabPage.Text = "Operator Graph";
@@ -384,5 +363,5 @@
       this.operatorGraphViewHost.Name = "operatorGraphViewHost";
       this.operatorGraphViewHost.ReadOnly = true;
-      this.operatorGraphViewHost.Size = new System.Drawing.Size(542, 412);
+      this.operatorGraphViewHost.Size = new System.Drawing.Size(829, 447);
       this.operatorGraphViewHost.TabIndex = 0;
       this.operatorGraphViewHost.ViewsLabelVisible = true;
@@ -397,9 +376,7 @@
       this.Controls.Add(this.instanceLabel);
       this.Controls.Add(this.algorithmStartButton);
-      this.Controls.Add(this.minTargetView);
       this.Controls.Add(this.maxEvaluationsView);
       this.Controls.Add(this.suggestedInstancesComboBox);
       this.Controls.Add(this.seedingStrategyPanel);
-      this.Controls.Add(this.minimumTargetLabel);
       this.Controls.Add(this.seedingStrategyLabel);
       this.Controls.Add(this.evaluationsLimitabel);
@@ -427,6 +404,4 @@
     private System.Windows.Forms.Button algorithmCloneButton;
     private Data.Views.StringConvertibleValueView maxEvaluationsView;
-    private System.Windows.Forms.Label minimumTargetLabel;
-    private Data.Views.StringConvertibleValueView minTargetView;
     private System.Windows.Forms.Label instanceLabel;
     private MainForm.WindowsForms.DragOverTabControl solverTabControl;